summaryrefslogtreecommitdiff
path: root/chromeos/scripts/prepareconfig
diff options
context:
space:
mode:
authorRhyland Klein <rklein@nvidia.com>2012-05-21 12:39:38 -0400
committerRohan Somvanshi <rsomvanshi@nvidia.com>2012-05-25 02:56:37 -0700
commit8be5b34f5420304183d0ebba8dd757b6b4b9476e (patch)
tree151b88e23ae5d39a2fcdbc1d9530d23c81831e7c /chromeos/scripts/prepareconfig
parent0d88e1dc78fd422c07b8ef385871223bf7dbc9da (diff)
CHROMEOS: add chrome kernel infrastructure
The ChromeOS build environment expects to build the kernel using a splitconfig. This change adds the scripts and configs required to satisfy this requirement. Right now the chromeos-tegra3 config is the only supported configuration using the splitconfigs. Signed-off-by: Rhyland Klein <rklein@nvidia.com> Change-Id: I21ac515261a03bdbe1c79bbd6cd02a6e34c82ef9 Reviewed-on: http://git-master/r/103683 Reviewed-by: Yu-Huan Hsu <yhsu@nvidia.com> Reviewed-by: Dan Willemsen <dwillemsen@nvidia.com> Reviewed-by: Allen Martin <amartin@nvidia.com>
Diffstat (limited to 'chromeos/scripts/prepareconfig')
-rwxr-xr-xchromeos/scripts/prepareconfig18
1 files changed, 18 insertions, 0 deletions
diff --git a/chromeos/scripts/prepareconfig b/chromeos/scripts/prepareconfig
new file mode 100755
index 000000000000..b82cf35919fe
--- /dev/null
+++ b/chromeos/scripts/prepareconfig
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+family=chromeos
+
+flavourconf=$(find ${family} -name config.flavour.$1)
+if [ ! -f "${flavourconf}" ]; then
+ echo "Found no flavour configuration for '$1'." 1>&2
+ exit 1
+fi
+
+outputfile="${2:-.config}"
+
+archconfdir=$(dirname ${flavourconf})
+
+# Generate .config
+cat ${family}/config/config.common.${family} \
+ ${archconfdir}/config.common.* \
+ "${flavourconf}" > "${outputfile}"